function transposeVisMale()
%

w = 128;
h = 256;
d = 256;

fn = 'VisMale';

% read raw data
fd = fopen([fn,'_orig.raw'],'r');
data = fread(fd,w*h*d,'uint8');
data = reshape(data,[w,h,d]);
fclose(fd);

for j=1:size(data,1)
	tmp = squeeze(data(j,:,:));
	% switch y <-> z
	tmp = tmp';
	% flip y
	tmp = tmp(end:-1:1,:);
	data(j,:,:) = tmp;
end

% write to file
fd = fopen([fn,'.raw'],'w');
fwrite(fd,data(:),'uint8');
fclose(fd);
