//--------------------------------------------------------------------------------------
// Utility functions
//
// DirectX/HLSL implementation by
// Christian B. Mendl, 2012
//--------------------------------------------------------------------------------------

#ifndef UTIL_H
#define UTIL_H

#include <d3d11.h>


#define V_RETURN(x)			{ hr = (x); if(FAILED(hr)) { return DXTrace(__FILE__, (DWORD)__LINE__, hr, L#x, true); } }
#define SAVE_RELEASE(r)		{ if(r) { r->Release(); r = NULL; } }


HRESULT CompileShaderFromFile(WCHAR *szFileName, LPCSTR szEntryPoint, LPCSTR szShaderModel, ID3DBlob **ppBlobOut);

UINT NextPow2(UINT v);

void SetupConsole();



#endif
